edu.wisc.cae.caeauth.internal.model

## Class ObjectFactory

- java.lang.Object
- - edu.wisc.cae.caeauth.internal.model.ObjectFactory

    public class ObjectFactory
    extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the edu.wisc.cae.caeauth.internal.model package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
Constructor and Description
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: edu.wisc.cae.caeauth.internal.model

### Method Summary

All Methods Instance Methods Concrete Methods
`CAESamlInfo` `createCAESamlInfo()` Create an instance of `CAESamlInfo`
`RevokeResponse` `createRevokeResponse()` Create an instance of `RevokeResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: edu.wisc.cae.caeauth.internal.model

### Method Detail

#### createCAESamlInfo

    public CAESamlInfo createCAESamlInfo()

Create an instance of `CAESamlInfo`

#### createRevokeResponse

    public RevokeResponse createRevokeResponse()

Create an instance of `RevokeResponse`